Bug 832714 - "SSLError: decryption failed or bad record mac" running /usr/sbin/pup
"SSLError: decryption failed or bad record mac" running /usr/sbin/pup
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: pirut (Show other bugs)
5.2
Unspecified Linux
unspecified Severity high
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-16 14:37 EDT by Robert W Hand
Modified: 2013-03-15 16:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-15 16:00:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dumpt from crash (2.46 KB, text/plain)
2012-06-16 14:37 EDT, Robert W Hand
no flags Details

  None (edit)
Description Robert W Hand 2012-06-16 14:37:43 EDT
Created attachment 592350 [details]
dumpt from crash

The updater signaled that it wished to run.  I ran it and it crashed.  Error message said that it was a bug, and it should be reported.  I've attached the dump file.
Comment 2 Dave Malcolm 2012-06-18 11:11:11 EDT
Thanks for filing this bug report.

I see that this is currently marked as being against RHEL 6.2, but looking in attachment 592350 [details] I see that the traceback involves python 2.4, which suggests that this was actually on a RHEL 5.x box.

This appears to be an issue with pirut when an SSL error occurs during the downloading of packages.
Comment 3 Dave Malcolm 2012-06-18 11:12:42 EDT
(In reply to comment #2)
> I see that this is currently marked as being against RHEL 6.2, but looking
> in attachment 592350 [details] I see that the traceback involves python 2.4,
> which suggests that this was actually on a RHEL 5.x box.
I've gone ahead and marked this as being a RHEL 5 bug; the choice of "5.2" as the version was arbitrary.
Comment 4 James Antill 2013-03-15 16:00:03 EDT
 Not even really sure there's anything yum/pirut/etc. can do here.

This request was evaluated by Red Hat Engineering for inclusion in a Red 
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat 
Enterprise Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in 
response to customer and partner requirements, Red Hat takes a 
conservative approach when evaluating enhancements for inclusion in 
maintenance updates for currently deployed products. The primary 
objectives of update releases are to enable new hardware platform 
support and to resolve critical defects.

Note You need to log in before you can comment on or make changes to this bug.